ru.bitel.bgbilling.plugins.documents.common.bean

## Enum DocumentVariableType

- java.lang.Object
- - java.lang.Enum<DocumentVariableType>
  - - ru.bitel.bgbilling.plugins.documents.common.bean.DocumentVariableType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DocumentVariableType>

      public enum DocumentVariableType
      extends java.lang.Enum<DocumentVariableType>

  Перечисление, обозначающее тип переменной. В зависимости от типа будут разные редакторы в клиентской части, а также разный способ получения данных для переменной этого типа.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BARCODE`
    `CONST`
    `CONTRACT_PARAM`
    `DATE`
    `NONE`
    `SQL`
    `URL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTitle()`
    `static DocumentVariableType` | `getType(int type)`
    `int` | `getTypeId()`
    `java.lang.String` | `toString()`
    `static DocumentVariableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DocumentVariableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DocumentVariableType NONE

    - #### CONST

          public static final DocumentVariableType CONST

    - #### CONTRACT_PARAM

          public static final DocumentVariableType CONTRACT_PARAM

    - #### DATE

          public static final DocumentVariableType DATE

    - #### URL

          public static final DocumentVariableType URL

    - #### SQL

          public static final DocumentVariableType SQL

    - #### BARCODE

          public static final DocumentVariableType BARCODE

  - ### Method Detail

    - #### values

          public static DocumentVariableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentVariableType c : DocumentVariableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentVariableType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTypeId

          public int getTypeId()

    - #### getTitle

          public java.lang.String getTitle()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DocumentVariableType>`

    - #### getType

          public static DocumentVariableType getType(int type)